#ifndef __IIC_H  
#define __IIC_H

#include <std.h>
#include <csl_stdinc.h>
#include <csl_i2c.h>

#ifdef __cplusplus
extern "C" {
#endif

void _IIC_write(I2C_Handle hI2C,
              Uint8   devAddress,
              Uint32  subAddress,
              Uint8   *data,
              Uint16  numBytes
              );

void _IIC_read(I2C_Handle hI2C,
              Uint8   devAddress,
              Uint32  subAddress,
              Uint8   *data,
              Uint16  numBytes
              );


void _IIC_write_rev(I2C_Handle hI2C,
              Uint8   devAddress,
              Uint32  subAddress,
              Uint8   *data,
              Uint16  numBytes
              );

void _IIC_read_rev(I2C_Handle hI2C,
              Uint8   devAddress,
              Uint32  subAddress,
              Uint8   *data,
              Uint16  numBytes
              );

#ifdef __cplusplus
}
#endif

#endif

