/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */

/********************************************
 Includes
********************************************/
#include <std.h>
#include <tsk.h>  
#include <sem.h>   
#include <gio.h>

#include <csl_dat.h>
#include <csl_cache.h>
#include <csl_edma.h>
#include <csl_timer.h>

#include <fvid.h>
#include <edc.h>
#include <vport.h>
#include <vportcap.h>
#include <vportdis.h>

#include <evmdm642.h>
#include "evmdm642_vcapparams.h"
#include "MT9T001_config.h"

/********************************************
 Function Prototypes
********************************************/
void MT9T001_configCapParams(VPORTCAP_Params *chan, MT9T001_Params *params, Uint16 rowsize, Uint16 colsize, Uint16 horizblank, Uint16 vertblank, Uint16 shutterwidth);
void MT9T001_configColorGain(MT9T001_Params *params, Uint16 redA, Uint16 redD, Uint16 greenA, Uint16 greenD, Uint16 blueA, Uint16 blueD, Uint16 globalA, Uint16 globalD, Uint16 blacklevel);
