#ifndef _DEVTYPE_H
#define _DEVTYPE_H


/*defines the common input sources to the decoder */
#define COMPOSITE_INPUT         1
#define SVIDEO_INPUT            2

/*define the common output formats from the decoder/input formats to the encoder */ 
#define BT656_EMBEDDED_SYNC     3
#define BT656_EXTERNAL_SYNC		4
#define YCx20_EXTERNAL_SYNC		5
#define RGB565					6

/*define the common output formats from the encoder */
#define NTSC_525I_SDTV_YSYNC	7
#define PAL_625I_SDTV			8
#define VESA_640x480x85			9
#define VESA_640x480x60		   10
#define VESA_800x600x60		   11
#define VESA_800x600x75        12
#define COMPOSITE_NTSC_OUTPUT  13
#define COMPOSITE_PAL_OUTPUT   14
#define COMPOSITE_SECAM_OUTPUT 15
#define SVIDEO_NTSC_OUTPUT     16
#define SVIDEO_PAL_OUTPUT      17
#define SVIDEO_SECAM_OUTPUT    18

/*TVP5145 */
#define NTSC_BT656_EMBD_SP     19
#define NTSC_BT656_EMBD_601	   20
#define NTSC_BT656_EXTN_SP     21
#define NTSC_BT656_EXTN_601    22
#define NTSC_20xYC_SP          23
#define NTSC_20xYC_601         24

#define PAL_BT656_EMBD_SP      25
#define PAL_BT656_EMBD_601     26
#define PAL_BT656_EXTN_SP      27
#define PAL_BT656_EXTN_601     28
#define PAL_20xYC_SP           29
#define PAL_20xYC_601          30

#endif
